<?php


class SmsBao {
    public $sms_user;
    public $sms_pwd;
    public $sms_sign;

    public function __construct() {
        $this->sms_user = Option::get('sms_user');
        $this->sms_pwd = Option::get('sms_pwd');
        $this->sms_sign = Option::get('sms_sign');
    }

    function send($to,$content) {
        try {
            $statusStr = array(
                "0" => "发送成功",
                "-1" => "参数不全",
                "-2" => "服务器空间不支持,请确认支持curl或者fsocket，联系您的空间商解决或者更换空间！",
                "30" => "密码错误",
                "40" => "账号不存在",
                "41" => "余额不足",
                "42" => "帐户已过期",
                "43" => "IP地址限制",
                "50" => "内容含有敏感词"
            );
            $smsapi = "http://api.smsbao.com/";
            $user = $this->sms_user; //短信平台帐号
            $pass = md5($this->sms_pwd); //短信平台密码
            $content="【".$this->sms_sign."】".$content;//要发送的短信内容
            $phone = $to;//要发送短信的手机号码
            $sendurl = $smsapi."sms?u=".$user."&p=".$pass."&m=".$phone."&c=".urlencode($content);
            $res = file_get_contents($sendurl);
            return $statusStr[$res];
        } catch (Exception $exc) {
            return false;
        }
    }

}