<?php if (!defined('EMLOG_ROOT')) {
	exit('error!');
} ?>
<?php if (isset($_GET['activated'])): ?>
    <div class="alert alert-success">设置保存成功</div><?php endif ?>
<div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-800">设置</h1>
</div>
<div class="panel-heading">
    <ul class="nav nav-pills">
        <li class="nav-item"><a class="nav-link" href="./setting.php">基础设置</a></li>
        <li class="nav-item"><a class="nav-link" href="./setting.php?action=user">用户设置</a></li>
        <li class="nav-item"><a class="nav-link " href="./setting.php?action=mail">邮件通知</a></li>
        <li class="nav-item"><a class="nav-link" href="./setting.php?action=seo">SEO优化</a></li>
        <li class="nav-item"><a class="nav-link" href="./blogger.php">个人信息</a></li>
        <li class="nav-item"><a class="nav-link active" href="./setting.php?action=sms">短信通知</a></li>
    </ul>
</div>
<div class="card shadow mb-4 mt-2">
    <div class="card-body">
        <form action="setting.php?action=sms_save" method="post" name="input" id="sms_config">
            <h4>短信发送</h4>
            <div class="form-group form-check">
                <input class="form-check-input" type="checkbox" value="y" name="is_smsup" id="is_smsup" <?= $conf_is_signup ?> />
                <label class="form-check-label">开启短信注册</label>
            </div>
            <div class="form-group">
                <label>短信宝账号</label>
                <input  class="form-control" value="<?= $sms_user ?>" name="sms_user" required>
                <a target="_blank" href="https://console.smsbao.com/#/register" style="color: red">还没有注册短信宝账号！马上注册</a>
            </div>
            <div class="form-group">
                <label>短信宝密码</label>
                <input type="password" name="sms_pwd" cols="" rows="3" class="form-control" value="<?= $sms_pwd ?>" required>
            </div>
            <div class="form-group">
                <label>短信宝签名</label>
                <input class="form-control" value="<?= $sms_sign ?>" name="sms_sign" required>
            </div>
            <div class="form-group">
                <label>注册短信模板</label>
                <input class="form-control" value="<?= $sms_tmp ?>" name="sms_tmp" required>
            </div>
            <div class="form-group">
                <input name="token" id="token" value="<?= LoginAuth::genToken() ?>" type="hidden"/>
                <input type="submit" value="保存设置" class="btn btn-sm btn-success"/>
                <input type="button" value="发送测试" class="btn btn-sm btn-primary" data-toggle="modal" data-target="#testSms"/>
            </div>
            <!-- 设置接收短信的模态框 -->
            <div class="modal fade" id="testSms">
                <div class="modal-dialog modal-sm">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">发送测试</h4>
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            <div class="form-group">
                                <input class="form-control" type="email" name="testTo" placeholder="输入接收手机号">
                            </div>
                        </div>
                        <div class="modal-footer">
                            <div id="testMailMsg"></div>
                            <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">关闭</button>
                            <button type="button" class="btn btn-success btn-sm" id="testSendBtn">发送</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<script>
    $("#menu_category_sys").addClass('active');
    $("#menu_sys").addClass('show');
    $("#menu_setting").addClass('active');
    setTimeout(hideActived, 2600);

    $("#testSendBtn").click(function () {
        $("#testMailMsg").html("<small class='text-secondary'>发送中...<small>");

        $.post("setting.php?action=sms_test", $("#sms_config").serialize(), function (data) {
            if (data == 0) {
                $("#testMailMsg").html("<small class='text-success'>发送成功</small>");
            } else {
                $("#testMailMsg").html(data);
            }

        });
    })
</script>
